﻿Type=Service
Version=3
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Private wsh As wshHandler
End Sub


Sub Service_Create

End Sub

Sub Service_Start (StartingIntent As Intent)
modUtils.LogSub("srvCommun", "Service_Start")
	If Not(wsh.IsInitialized) OR wsh.ws.Connected = False Then
		Connect
	End If
End Sub

Sub Service_Destroy

End Sub


Private Sub Connect
modUtils.LogSub("srvCommun", "Connect")
	wsh.Initialize(Me, "wsh")
	wsh.ws.Connect(Main.ServerLink)
End Sub


Public Sub wsh_Connected
modUtils.LogSub("srvComm", "wsh_Connected")
	Private mapData As Map : mapData.Initialize
	mapData.Put("msg", "Hi, I'm connected")
	wsh.SendEventToServer("RaisedByClient_Msg", mapData)
End Sub

Public Sub wsh_Closed (Reason As String)
modUtils.LogSub("srvComm", "wsh_Closed")
	Log("WebSocket Closed: " & Reason)
End Sub

Public Sub wsh_RaisedByServer_Msg(params As List)
	Log(params.Get(0))
	wsh.ws.Close
	CallSubDelayed(Main, "ServerMsg")
End Sub